Update a deduction context usage
patch
/hcmRestApi/resources/11.13.18.05/payrollComponentsAndComponentGroups/{DeductionTypeId}/child/DeductionContextUsageRest/{DeductionContextUsageId}
Request
Path Parameters
-
DeductionContextUsageId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
-
DeductionTypeId(required): integer(int64)
The value of this parameter could be a hash of the key that is used to uniquely identify the resource item. The client should not generate the hash key value. Instead, the client should query on the collection resource with a filter to navigate to a specific resource item. For example: products?q=InventoryItemId=
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
DeductionTypeId: integer
(int64)
Unique identifier of the deduction type of the deduction context usage.
-
DirCardCOMPDefiId: integer
(int64)
Unique identifier of the calculation card component definition of the deduction context usage.
-
LegislationCode: string
Maximum Length:
30Code that identifies the legislation of the deduction context usage. -
LegislativeDataGroupId: integer
(int64)
Unique identifier of the legislative data group of the deduction context usage.
-
ModuleId: string
Maximum Length:
32Unique identifier of the module. - NavigationUse: string
-
ObjectVersionNumber: integer
(int32)
Version number of the deduction context usage.
-
SeedStatus: string
Maximum Length:
1Status of the predefined record of the deduction context usage. -
SGUID: string
Maximum Length:
32Unique identifier for the deduction context usage. -
SpecialPurpose: string
Maximum Length:
30Special purpose of the deduction context usage.
Response
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : payrollComponentsAndComponentGroups-DeductionContextUsageRest-item-response
Type:
Show Source
object-
ContextId: integer
(int64)
Title:
ReferenceUnique identifier of the context of the deduction context usage. -
CreatedBy: string
Read Only:
trueMaximum Length:64User who created the deduction context usage. -
CreationDate: string
(date-time)
Read Only:
trueThe date when the deduction context usage was created. -
DeductionContextUsageId: integer
(int64)
Unique identifier of the deduction context usage.
-
DeductionTypeId: integer
(int64)
Unique identifier of the deduction type of the deduction context usage.
-
DirCardCOMPDefiId: integer
(int64)
Unique identifier of the calculation card component definition of the deduction context usage.
-
LastUpdateDate: string
(date-time)
Read Only:
trueThe date when the record was last updated. -
LastUpdatedBy: string
Read Only:
trueMaximum Length:64User who last updated the deduction context usage. -
LastUpdateLogin: string
Read Only:
trueMaximum Length:32Last login to update the deduction context usage. -
LegislationCode: string
Maximum Length:
30Code that identifies the legislation of the deduction context usage. -
LegislativeDataGroupId: integer
(int64)
Unique identifier of the legislative data group of the deduction context usage.
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
ModuleId: string
Maximum Length:
32Unique identifier of the module. - NavigationUse: string
-
ObjectVersionNumber: integer
(int32)
Version number of the deduction context usage.
-
SeedStatus: string
Maximum Length:
1Status of the predefined record of the deduction context usage. -
Sequence: integer
(int64)
Title:
SequenceDefault Value:1Sequence number for deduction context usage. -
SGUID: string
Maximum Length:
32Unique identifier for the deduction context usage. -
SpecialPurpose: string
Maximum Length:
30Special purpose of the deduction context usage. -
UsageType: string
Maximum Length:
30Default Value:CType of usage for the deduction context usage.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.